## libncursesada 6.2.20200212

=== debian/changelog ===
libncursesada (6.2.20200212-4) unstable; urgency=medium

  * Reupload to unstable for gnat-10 transition.
  * Standards-Version: 4.5.1.
  * Replace CC (for C) with gnatgcc (for Ada).

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 13 Dec 2020 13:00:32 +0100

libncursesada (6.2.20200212-3) experimental; urgency=medium

  * Build with gnat-10. Rename lib and -dev packages accordingly.
    Drop conflicts implied by the compiler change.
  * Explain problems in README.source instead of trying to teach d/watch.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 31 May 2020 17:14:33 +0000

libncursesada (6.2.20200212-2) unstable; urgency=medium

  * Debhelper 13.
  * Drop obsolete misc:Pre-Depends for shared library package.
  * In project, add Linker_Options for future versions of dh-ada-library,
    and allow ADAFLAGS to override local settings.
  * Pass CFLAGS to Makefile when it builds the source generator.
  * Drop unused -a option to dh_auto_*.
  * Pass flags via the environment (fixing a typo hiding LDFLAGS in GPR_VARS).

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 09 May 2020 16:20:02 +0000

libncursesada (6.2.20200212-1) unstable; urgency=medium

  * New upstream release. No need to rename the library package.
    The source checksums in .ali files have changed,
    rename -dev and Break/Replace previous one per Ada policy.
  * Fix homepage. Update copyright. Distribute gbp.conf.
  * Drop obsolete work-around for dh_installdocs.
  * Handle new generated but -indep example.
  * Simplify directories and variables affecting build and clean.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 22 Apr 2020 10:37:59 +0000
