=== debian/control ===
Source: libncursesada
Section: libdevel
Priority: optional
Maintainer: Nicolas Boulenguez <nicolas@debian.org>
Build-Depends:
  debhelper-compat (= 13),
Build-Depends-Arch:
  autoconf-dickey (>= 2.52+20170501),
  dh-sequence-ada-library,
  gnat, gnat-10,
# This line is parsed by debian/rules.
  gprbuild (>= 2015-2),
  libncurses-dev,
  m4,
  pkg-config,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/libncursesada
Vcs-Git: https://salsa.debian.org/debian/libncursesada.git
Homepage: https://invisible-island.net/adacurses/

Package: libncursesada9-dev
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends},
Suggests: libncursesada-doc
Description: Ada binding to the ncurses text interface library: development
 NcursesAda allows programmers to use the Ncurses library within the
 Ada language. This means programming panels, colors, forms in text
 terminals or emulators.
 .
 Install this package if you want to write programs that use
 libncursesada.

Package: libncursesada6.2.3
# This line is parsed by debian/rules.
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Ada binding to the ncurses text interface library: shared library
 NcursesAda allows programmers to use the Ncurses library within the
 Ada language. This means programming panels, colors, forms in text
 terminals or emulators.
 .
 This package contains the runtime shared library.

Package: libncursesada-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: gnat
Description: Ada binding to the ncurses text interface library: documentation
 NcursesAda allows programmers to use the Ncurses library within the
 Ada language. This means programming panels, colors, forms in text
 terminals or emulators.
 .
 This package contains the documentation.
