=== debian/watch ===
# This watch file is hopefully sufficient to report new releases, but
# please read README.source if you are using it manually.

version=4

opts="\
  dversionmangle=s/^[0-9]+\.[0-9]+\.//,\
  pgpsigurlmangle=s/$/.asc/" \
  https://invisible-mirror.net/archives/AdaCurses/AdaCurses@ANY_VERSION@@ARCHIVE_EXT@
