## libncursesada 6.3.20211021

=== debian/changelog ===
libncursesada (6.3.20211021-13build1) questing; urgency=medium

  * No-change rebuild for gnat ABI, triggered by glibc 2.42.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 21 Sep 2025 07:46:32 +0200

libncursesada (6.3.20211021-13) unstable; urgency=medium

  * Reupload to unstable for the gnat-14 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 10 Mar 2025 21:49:45 +0100

libncursesada (6.3.20211021-12) experimental; urgency=medium

  * Build with gnat-14
  * Enable salsa continuous integration via debian/salsa-ci.yml
  * Clean ./configure.
  * Add comments into gbp.conf
  * Update Standards-Version and copyright years

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 02 Jan 2025 14:19:00 +0100

libncursesada (6.3.20211021-11) unstable; urgency=medium

  * Reupload to unstable for the gnat-13/time_t64 transition.
  * Build-Depend on pkgconf instead of deprecated pkg-config.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 17 Mar 2024 18:32:46 +0100

libncursesada (6.3.20211021-10) experimental; urgency=medium

  * Upload to experimental because of the following transitions.
    Build with gnat-13.  Rename library package with new SOversion.
    Build with dh-ada-library/9. Remove version from -dev package name.
    Provide a name containing a hash.
    Build-Depend: gnat instead of gnat-13. Break/Replace previous -devs.
  * Use explicit debian/PACKAGE.{doc-base,docs,examples} files and test
    dependencies now that the -dev package is unversioned.
  * Stop suggesting the removed -doc package
  * Update copyright years
  * Improve readability of debian/rules

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 06 Jan 2024 20:08:07 +0100

libncursesada (6.3.20211021-9) unstable; urgency=medium

  * Clean generated documentation. Closes: #1047433.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 15 Aug 2023 10:36:19 +0000

libncursesada (6.3.20211021-8) unstable; urgency=medium

  * Break/Replace libncursesada since oldstable. Closes: #1034977.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 11 May 2023 00:33:59 +0200

libncursesada (6.3.20211021-7) unstable; urgency=medium

  * Let -dev depend on libncurses-dev (dh-ada-library does not compute this).

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 30 Dec 2022 18:15:26 +0000

libncursesada (6.3.20211021-6) unstable; urgency=medium

  * Reupload to unstable for the gnat-12 transition.
  * Standards-Version: 4.6.2 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 27 Dec 2022 01:28:52 +0100

libncursesada (6.3.20211021-5) experimental; urgency=medium

  * Build with gcc-12 for experimental. Rename -dev package accordingly.
  * Adapt to dh-ada-library 8.2.
  * Refresh the HTML documentation. The result depends on the architecture,
    so remove the -doc package and store documentation into -dev.
  * Remove unversioned gnat from Build-Depends (keep it in Depends).
  * Override lintian source-is-missing: the HTML is generated from Ada.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 27 Nov 2022 20:03:52 +0000

libncursesada (6.3.20211021-4) unstable; urgency=medium

  * Require a GCC major version instead of a full match. Closes: #1016341.
  * Replace last usage of gnatgcc with gcc-MAJOR.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 03 Aug 2022 20:35:40 +0000

libncursesada (6.3.20211021-3) unstable; urgency=medium

  * Closes: #1013479. Explicitly select the same compiler for Ada and C
    instead of relying on broken black magic in gprconfig-kb.
  * Bump Standards-Version.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 26 Jun 2022 22:13:32 +0000

libncursesada (6.3.20211021-2) unstable; urgency=medium

  * Reupload to unstable for the gnat-11 transition
  * Configure branch names for git-buildpackage

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 08 May 2022 19:44:55 +0200

libncursesada (6.3.20211021-1) experimental; urgency=medium

  * Build new upstream release with GCC-11 for experimental.
    Rename -dev package accordingly.
  * Drop obsolete version restriction from Build-Depends.
  * Update Standards-Version.
  * Use unversioned debian_packaging.mk from gnat package.
  * Update upstream signing key.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 03 Apr 2022 18:00:48 +0000
