=== debian/control ===
Source: libncursesada
Section: libdevel
Priority: optional
Maintainer: Nicolas Boulenguez <nicolas@debian.org>
Build-Depends:
  autoconf-dickey (>= 2.52+20170501),
  debhelper-compat (= 13),
  dh-ada-library (>= 9.1),
  dh-sequence-ada-library,
  gnat,
  gnat-14,
  gprbuild (>= 2025.0.0-2),
  libncurses-dev,
  m4,
  pkgconf,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/libncursesada
Vcs-Git: https://salsa.debian.org/debian/libncursesada.git
Homepage: https://invisible-island.net/adacurses/

Package: libncursesada-dev
Breaks: libncursesada6.2.20180127-dev, libncursesada7-dev, libncursesada8-dev,
 libncursesada9-dev, libncursesada10-dev, libncursesada11-dev
Replaces: libncursesada6.2.20180127-dev, libncursesada7-dev, libncursesada8-dev,
 libncursesada9-dev, libncursesada10-dev, libncursesada11-dev
Provides: ${ada:Provides}
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}, libncurses-dev,
Description: Ada binding to the ncurses text interface library: development
 NcursesAda allows programmers to use the Ncurses library within the
 Ada language. This means programming panels, colors, forms in text
 terminals or emulators.
 .
 Install this package if you want to write programs that use
 libncursesada.

Package: libncursesada6.2.4
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Ada binding to the ncurses text interface library: shared library
 NcursesAda allows programmers to use the Ncurses library within the
 Ada language. This means programming panels, colors, forms in text
 terminals or emulators.
 .
 This package contains the runtime shared library.

# No -doc package because the HTML documentation is generated and
# (unfortunately) depends on the architecture.
